require 'graphql/client'
require 'graphql/client/http'

module Unlearn
  module GitHubAPI
    HTTPAdapter = GraphQL::Client::HTTP.new('https://api.github.com/graphql') do
      def headers(context)
        {
          "Authorization": "Bearer #{Unlearn::GitHubAPI::Token.get}"
        }
      end
    end

    Schema = GraphQL::Client.load_schema('lib/unlearn/graphql/schema.json')

    Client = GraphQL::Client.new(
      schema: Unlearn::GitHubAPI::Schema,
      execute: Unlearn::GitHubAPI::HTTPAdapter
    )
  end
end
